org.eclipse.oomph.base

## Interface Annotation

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    AnnotationImpl

      public interface Annotation
      extends ModelElement

  A representation of the model object 'Annotation'.

  The following features are supported:

  - `Model Element`
  - `Source`
  - `Details`
  - `Contents`
  - `References`
  See Also:
    `BasePackage.getAnnotation()`
  Generated
  Model
    annotation="http://www.eclipse.org/emf/2002/Ecore constraints='WellFormedSourceURI'"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<EObject>` | `getContents()` Returns the value of the 'Contents' containment reference list.
    `EMap<String,String>` | `getDetails()` Returns the value of the 'Details' map.
    `ModelElement` | `getModelElement()` Returns the value of the 'Model Element' container reference.
    `EList<EObject>` | `getReferences()` Returns the value of the 'References' reference list.
    `String` | `getSource()` Returns the value of the 'Source' attribute.
    `void` | `setModelElement(ModelElement value)` Sets the value of the '`Model Element`' container reference.
    `void` | `setSource(String value)` Sets the value of the '`Source`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getModelElement

          ModelElement getModelElement()

      Returns the value of the 'Model Element' container reference. It is bidirectional and its opposite is '`Annotations`'.

      If the meaning of the 'Model Element' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Model Element' container reference.
      See Also:
        `setModelElement(ModelElement)`, `BasePackage.getAnnotation_ModelElement()`, `ModelElement.getAnnotations()`
      Generated
      Model
        opposite="annotations" resolveProxies="false"

    - #### setModelElement

          void setModelElement(ModelElement value)

      Sets the value of the '`Model Element`' container reference.
      Parameters:
        `value` - the new value of the 'Model Element' container reference.
      See Also:
        `getModelElement()`
      Generated

    - #### getSource

          String getSource()

      Returns the value of the 'Source' attribute.

      If the meaning of the 'Source' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source' attribute.
      See Also:
        `setSource(String)`, `BasePackage.getAnnotation_Source()`
      Generated
      Model

    - #### setSource

          void setSource(String value)

      Sets the value of the '`Source`' attribute.
      Parameters:
        `value` - the new value of the 'Source' attribute.
      See Also:
        `getSource()`
      Generated

    - #### getDetails

          EMap<String,String> getDetails()

      Returns the value of the 'Details' map. The key is of type `String`, and the value is of type `String`,

      If the meaning of the 'Details' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Details' map.
      See Also:
        `BasePackage.getAnnotation_Details()`
      Generated
      Model
        mapType="org.eclipse.oomph.base.StringToStringMapEntry<org.eclipse.emf.ecore.EString, org.eclipse.oomph.base.Text>" extendedMetaData="name='detail'"

    - #### getContents

          EList<EObject> getContents()

      Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.

      If the meaning of the 'Contents' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Contents' containment reference list.
      See Also:
        `BasePackage.getAnnotation_Contents()`
      Generated
      Model
        containment="true" extendedMetaData="name='content'"

    - #### getReferences

          EList<EObject> getReferences()

      Returns the value of the 'References' reference list. The list contents are of type `EObject`.

      If the meaning of the 'References' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'References' reference list.
      See Also:
        `BasePackage.getAnnotation_References()`
      Generated
      Model
        extendedMetaData="name='reference'"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html